package com.ruoyi.sim.domain.vo;

import org.apache.commons.lang3.builder.ToStringBuilder;

import java.net.Socket;

public class SocketWrapValue {

    /**
     * ip v4.
     */
    private String ip;

    /**
     * port.
     */
    private Integer port;

    private Socket socket;

    private Long connectedTimeMillis;

    public SocketWrapValue(String ip, Integer port, Socket socket, Long connectedTimeMillis) {
        this.ip = ip;
        this.port = port;
        this.socket = socket;
        this.connectedTimeMillis = connectedTimeMillis;
    }

    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }

    public Socket getSocket() {
        return socket;
    }

    public void setSocket(Socket socket) {
        this.socket = socket;
    }

    public Long getConnectedTimeMillis() {
        return connectedTimeMillis;
    }

    public void setConnectedTimeMillis(Long connectedTimeMillis) {
        this.connectedTimeMillis = connectedTimeMillis;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this)
                .append("ip", ip)
                .append("socket", socket)
                .append("connectedTimeMillis", connectedTimeMillis)
                .toString();
    }
}
