package com.ruoyi.sim.service.impl;

import java.io.IOException;
import java.net.InetAddress;
import java.net.UnknownHostException;

public class IpService {

    /**
     * 等同于ping命令。
     *
     * @param ip
     * @return
     * @throws IOException
     */
    public boolean isPingOk(final String ip) {
        try {
            InetAddress ia = InetAddress.getByName(ip);
            return ia.isReachable(2048);
        } catch (UnknownHostException e) {
            e.printStackTrace();
            return false;
        } catch (IOException e) {
            e.printStackTrace();
            return false;
        }
    }
}
